Author Topic: Update 5.1.1 -> 5.1.3 does not work : apt-get: relocation error  (Read 527 times)

basselope

  • Zen Apprentice
  • *
  • Posts: 45
  • Karma: +4/-0
    • View Profile
Update 5.1.1 -> 5.1.3 does not work : apt-get: relocation error
« on: December 10, 2018, 12:51:32 pm »
apt-get: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0: symbol _ZN9pkgSystem9LockInnerEv, version APTPKG_5.0 not defined in file libapt-pkg.so.5.0 with link time reference

basselope

  • Zen Apprentice
  • *
  • Posts: 45
  • Karma: +4/-0
    • View Profile
Re: Update 5.1.1 -> 5.1.3 does not work : apt-get: relocation error
« Reply #1 on: December 10, 2018, 03:16:44 pm »
Sorry - just saw that the issue was known and could be solved simply:

wget http://archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-pkg5.0_1.2.29_amd64.deb
sudo dpkg --install --force-downgrade libapt-pkg5.0_1.2.29_amd64.deb